View Issue Details

IDProjectCategoryView StatusLast Update
0012228ScribusStory Editor / Text Framespublic2016-02-16 12:03
ReporterJLuc Assigned Tocbradney  
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.0svn 
Target Version1.5.0svnFixed in Version1.5.0svn 
Summary0012228: Some accented characters dont get typed in text frames
DescriptionIn scribus (1.5 svn version compiled on ubuntu) on ubuntu,
the canvas editing (wysiwyg editing) doesnt enable anymore
to type in some accented characters as
ê, î, ô, û, ï, ö, ü, Ê, À, Ô etc
These require 2 keystrokes : ^ + e, ¨ + i, ^ + E, ...

Other characters are typed in ok : é, è, à, À, É.
These only require one keystrike.

This happened with Qt5.2 and I have tried with Qt5.3 pre-RC version
and its not fixed yet.

A workaround is to type in a text editor and copy'n'paste from there... so its not a display issue.
In the "story edit" window, which is not wysiwyg, these characters get typed fine.

More people have declared similar issues on fedora and even with scribus 1.4.x on scribus-dev mailing list http://comments.gmane.org/gmane.comp.graphics.scribus/44670
Additional InformationA qt bug has been reported for this too, in case its qt's fault : https://bugreports.qt-project.org/browse/QTBUG-38450
TagsNo tags attached.
PatchNo

Relationships

has duplicate 0009680 closedcbradney Dead keys don't work during in-frame-editing 

Activities

ale

2014-06-24 10:59

manager   ~0032274

confirmed on debian testing with the packaged qt and 1.5svn.

confirmed on os x with scribus 1.5 and qt from the brew formula.

Kunda

2014-07-06 22:08

updater   ~0032515

Last edited: 2014-07-06 22:36

View 2 revisions

Multiple confirmations in addition to ale's (above)... folks on IRC and on the ML (2 devs). Confirming and moving to 1.5.1

Edit:
As per http://wiki.scribus.net/canvas/Most_Annoying_Bugs

dogil

2014-11-13 12:30

reporter   ~0034200

actually korean and probably any other non latin script doesn't work at all, only through the editor, not in the layout view.

JLuc

2014-12-03 08:30

developer   ~0034274

Last edited: 2015-05-13 08:13

View 3 revisions

In case its Qt related, here is Qt bug report for this issue : https://bugreports.qt-project.org/browse/QTBUG-38450

Here are some references from mailing list

William B : << When you type directly into a text frame, CanvasMode_Edit in canvasmode_edit.cpp handles keyPressEvent(QKeyEvent *e).
Does it also need to handle inputMethodEvent(QInputMethodEvent *e) to get composed characters?

The story editor seems to handle composed characters in SEditor::inputMethodEvent(QInputMethodEvent *event) in ui/storyeditor.cpp.
I tried making a CanvasMode_Edit::handleKeyEvents() and CanvasMode_Edit::inputMethodEvent(QInputMethodEvent *event). handleKeyEvents() was called for each component of the composed character but inputMethodEvent() was not called at the end, so it is probably more complicated. Something else might need to call setAttribute(Qt::WA_InputMethodEnabled).>>

and
<< storyeditor.cpp has the constructor "SEditor::SEditor(QWidget* parent, ScribusDoc docc, StoryEditor parentSE) : QTextEdit(parent)", so the story editor window is a QTextEdit object.
canvasmode_edit.cpp has the constructor "CanvasMode_Edit::CanvasMode_Edit(ScribusView* view) : CanvasMode(view)" and canvasmode.cpp has the constructor "CanvasMode::CanvasMode (ScribusView* view) : QObject()". The CanvasMode class contains a field "Canvas * const m_canvas", and Canvas is a QWidget.
QTextEdit implements inputMethodEvent(). https://qt-project.org/doc/qt-5/qtextedit.html

I think that the difference is that the story editor is a high level object that is designed to be a text editor while text frames are generic, low level objects.
I suspect that either 1) the story editor is based on an object that supports high level mapping of composed characters, while text frames are based on an object that supports only single keystrokes or 2) text frames need to request inputMethodEvents or to have them passed from the Canvas they contain.>>

and later : <<I remember once putting a lot of debug code in the story editor and the text frame editor to look for differences.
- The story editor requests and handles inputMethodEvent() but the text frame editor does not. (see http://qt-project.org/doc/qt-5/qinputmethodevent.html )
- Also, the story editor is a high level QTextObject that supports inputMethodEvent() while the text frame is a low level QWidget that does not have a default inputMethodEvent().>>

JLuc

2014-12-03 08:32

developer   ~0034275

This issue is NOT related with indic or RTL input.

Please dont use this report for indic or RTL inputs.

JLuc

2015-05-13 08:52

developer   ~0035110

FYI Musescore 2.0 uses Qt5.3 and has no issues whatsoever with â or ï on Ubuntu.

ale

2015-05-13 10:08

manager   ~0035112

there are good chances that this issue will create lot of disgust when 1.5.0 will be released.
probably, it should have been left as a blocker.

Kunda

2015-05-13 18:22

updater   ~0035115

https://www.dropbox.com/s/60lk3odv369xftk/braceyourself.jpg?dl=0

cbradney

2015-05-13 19:34

administrator   ~0035116

On OSX, if I set my keyboard to Swiss French, the keys for é and è and à etc give me those characters in the text frames.

cbradney

2015-05-13 20:05

administrator   ~0035117

Ubuntu 15.04... https://www.dropbox.com/s/5fcdct8xe20qqva/Screenshot%202015-05-13%2022.05.25.png?dl=0

Kunda

2015-05-13 23:58

updater   ~0035120

FIxed on OSX! What a win to fix this bug right before the release! Kudos!

JLuc

2015-05-14 01:58

developer   ~0035121

I confirm it's fixed on Ubuntu.
It was one of the Most Annoying Bugs.
  _ _ _
 | | | | | |
 | |__ ___ _ _ _ __ _ __ __ _| |__ | |
 | '_ \ / _ \| | | | '__| '__/ _` | '_ \ | |
 | | | | (_) | |_| | | | | | (_| | | | | |_|
 |_| |_|\___/ \__,_|_| |_| \__,_|_| |_| (_)

ale

2015-05-14 07:44

manager   ~0035122

débiâñ jëssíè!

Kunda

2016-02-16 12:03

updater   ~0038784

Jluc, this bug you reported is still open on https://bugreports.qt.io/browse/QTBUG-38450
We didn't notate in this mantis report what revision this was fixed in or else I would of notated that on the Qt bug

Issue History

Date Modified Username Field Change
2014-04-19 20:45 JLuc New Issue
2014-06-24 10:59 ale Note Added: 0032274
2014-07-06 22:08 Kunda Note Added: 0032515
2014-07-06 22:08 Kunda Status new => confirmed
2014-07-06 22:36 Kunda Note Edited: 0032515 View Revisions
2014-11-06 19:29 Kunda Tag Attached: MABs
2014-11-13 12:30 dogil Note Added: 0034200
2014-12-03 08:30 JLuc Note Added: 0034274
2014-12-03 08:32 JLuc Note Added: 0034275
2014-12-24 16:45 JLuc Patch => No
2014-12-24 16:45 JLuc Priority normal => urgent
2014-12-24 16:45 JLuc Severity minor => crash
2015-03-23 11:34 Kunda Target Version => 1.5.1
2015-05-13 08:13 JLuc Note Edited: 0034274 View Revisions
2015-05-13 08:13 JLuc Note Edited: 0034274 View Revisions
2015-05-13 08:52 JLuc Note Added: 0035110
2015-05-13 10:08 ale Note Added: 0035112
2015-05-13 18:22 Kunda Note Added: 0035115
2015-05-13 19:14 cbradney Severity crash => major
2015-05-13 19:34 cbradney Note Added: 0035116
2015-05-13 20:05 cbradney Note Added: 0035117
2015-05-13 23:12 cbradney Status confirmed => resolved
2015-05-13 23:12 cbradney Fixed in Version => 1.5.0svn
2015-05-13 23:12 cbradney Resolution open => fixed
2015-05-13 23:12 cbradney Assigned To => cbradney
2015-05-13 23:21 cbradney Target Version 1.5.1 => 1.5.0svn
2015-05-13 23:58 Kunda Note Added: 0035120
2015-05-14 01:58 JLuc Note Added: 0035121
2015-05-14 07:02 cbradney Relationship added has duplicate 0009680
2015-05-14 07:44 ale Note Added: 0035122
2015-05-14 20:35 Kunda Tag Detached: MABs
2015-05-14 20:44 christoph_s Status resolved => closed
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2016-02-16 12:03 Kunda Note Added: 0038784